Package org.apache.activemq.artemis.api.core

## Class UDPBroadcastEndpointFactory

- java.lang.Object
- - org.apache.activemq.artemis.api.core.UDPBroadcastEndpointFactory

- All Implemented Interfaces:
    `java.io.Serializable`, `BroadcastEndpointFactory`

      public final class UDPBroadcastEndpointFactory
      extends java.lang.Object
      implements BroadcastEndpointFactory

  The configuration used to determine how the server will broadcast members.

  This is analogous to `DiscoveryGroupConfiguration`

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UDPBroadcastEndpointFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BroadcastEndpoint` | `createBroadcastEndpoint()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getGroupAddress()` |
    `int` | `getGroupPort()` |
    `java.lang.String` | `getLocalBindAddress()` |
    `int` | `getLocalBindPort()` |
    `int` | `hashCode()` |
    `UDPBroadcastEndpointFactory` | `setGroupAddress​(java.lang.String groupAddress)` |
    `UDPBroadcastEndpointFactory` | `setGroupPort​(int groupPort)` |
    `UDPBroadcastEndpointFactory` | `setLocalBindAddress​(java.lang.String localBindAddress)` |
    `UDPBroadcastEndpointFactory` | `setLocalBindPort​(int localBindPort)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UDPBroadcastEndpointFactory

          public UDPBroadcastEndpointFactory()

  - ### Method Detail

    - #### createBroadcastEndpoint

          public BroadcastEndpoint createBroadcastEndpoint()
                                                    throws java.lang.Exception

      Specified by:
        `createBroadcastEndpoint` in interface `BroadcastEndpointFactory`
      Throws:
        `java.lang.Exception`

    - #### getGroupAddress

          public java.lang.String getGroupAddress()

    - #### setGroupAddress

          public UDPBroadcastEndpointFactory setGroupAddress​(java.lang.String groupAddress)

    - #### getGroupPort

          public int getGroupPort()

    - #### setGroupPort

          public UDPBroadcastEndpointFactory setGroupPort​(int groupPort)

    - #### getLocalBindPort

          public int getLocalBindPort()

    - #### setLocalBindPort

          public UDPBroadcastEndpointFactory setLocalBindPort​(int localBindPort)

    - #### getLocalBindAddress

          public java.lang.String getLocalBindAddress()

    - #### setLocalBindAddress

          public UDPBroadcastEndpointFactory setLocalBindAddress​(java.lang.String localBindAddress)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`